Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.undo.edit
Class InsertRemoveSubtreeEdit

    java.lang.Object
      info.bioinfweb.treegraph.document.undo.DocumentEdit
          info.bioinfweb.treegraph.document.undo.SaveLegendsEdit
              info.bioinfweb.treegraph.document.undo.edit.InsertRemoveSubtreeEdit

All Implemented Interfaces:
  WarningEdit, UndoableEdit

Direct Known Subclasses:
  InsertSubtreeEdit, RemoveSubtreeEdit

    public abstract class InsertRemoveSubtreeEdit

extends SaveLegendsEdit

Field Summary
`protected int` | `index`
`protected Node` | `parent`
`protected Node` | `root`

Fields inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`document`

Constructor Summary
`InsertRemoveSubtreeEdit(Document document, Node parent, Node root, int index)`

Method Summary
`protected void` | `insert()`
`protected void` | `remove()`

Methods inherited from class info.bioinfweb.treegraph.document.undo.SaveLegendsEdit
`editSubtreeLegends, getHelpTopic, getLegendsReanchored, getLegendsRemoved, getLegendsSave, getShowWarnings, getWarningsMessages, restoreLegends, saveLegends, setHelpTopic, setLegendsReanchored, setLegendsRemoved, setShowWarnings, showWarningDialog`

Methods inherited from class info.bioinfweb.treegraph.document.undo.DocumentEdit
`addEdit, canRedo, canUndo, die, getRedoPresentationName, getUndoPresentationName, isSignificant, redo, replaceEdit, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.undo.UndoableEdit
`getPresentationName`

Field Detail

### parent

    protected Node parent

### root

    protected Node root

### index

    protected int index

Constructor Detail

### InsertRemoveSubtreeEdit

    public InsertRemoveSubtreeEdit(Document document,
                                   Node parent,
                                   Node root,
                                   int index)

Parameters:
  `document` -
  `parent` - - the parent node of the root node of the subtree to be deleted
  `root` - - the root node of the subtree to be deleted
  `index` - - the index of the root node in the child list of its parent node

Method Detail

### insert

    protected void insert()

### remove

    protected void remove()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD